<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="api-gateway" />
        <module name="sample-service-01" />
        <module name="service-registry" />
        <module name="sample-service-02" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="api-gateway" target="11" />
      <module name="java-microservice-nested-projects" target="11" />
      <module name="sample-service-01" target="11" />
      <module name="sample-service-02" target="11" />
      <module name="service-registry" target="11" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="api-gateway" options="-parameters" />
      <module name="java-microservice-nested-projects" options="-parameters" />
      <module name="sample-service-01" options="-parameters" />
      <module name="sample-service-02" options="-parameters" />
      <module name="service-registry" options="-parameters" />
    </option>
  </component>
</project>